/*
**********************************************************************************
*  2014 Microchip Technology Inc. and its subsidiaries.
* You may use this software and any derivatives exclusively with
* Microchip products.
* THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS".
* NO WARRANTIES, WHETHER EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE,
* INCLUDING ANY IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY,
* AND FITNESS FOR A PARTICULAR PURPOSE, OR ITS INTERACTION WITH MICROCHIP
* PRODUCTS, COMBINATION WITH ANY OTHER PRODUCTS, OR USE IN ANY APPLICATION.
* IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
* INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
* WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
* BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE.
* TO THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL
* CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF
* FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
* MICROCHIP PROVIDES THIS SOFTWARE CONDITIONALLY UPON YOUR ACCEPTANCE
* OF THESE TERMS.
**********************************************************************************
*  i2cTest.h
*   Header file for the sample/test code of i2C Interface
*
**********************************************************************************
*  $Revision: #1 $  $DateTime: 2014/05/14 12:20:09 $  $    $
*  Description: initial version
**********************************************************************************
* $File:  
*/
#include "MchpUSBInterface.h"

#define ATMEL_24C_ADDR		0xA0

/*
*	Runs I2C Tests to enable/disable i2c passthru and 
*	write to/read from i2c EEPROM 
*/
MCHP_USB_ERROR RunI2CTests();

MCHP_USB_ERROR I2CReadTemperature(HANDLE hndl);

/* sample for i2c write */
MCHP_USB_ERROR I2C_EEPROM_Program(HANDLE hndl, BYTE* pbyBuffer, WORD wDataLen, WORD wOffset);

/* sample for i2c read */
MCHP_USB_ERROR I2C_EEPROM_Read(HANDLE hndl, BYTE* pbyBuffer, WORD wDataLen, WORD wOffset);